Subject: Re: IPSec broken in 2.6.18-rc4-mm3

From: Patrick McHardy <[email-masked]>
Date: Sun, 10 Sep 2006 03:12:06 +0200

Gnome42 wrote:
> It is working in 2.6.18-rc6-mm1. I thought it was the compile option
> 'optimize for size' that was causing a miscompilation because when I
> compiled -rc6-mm1 I turned that option off and it suddenly started
> working. But, then I recompiled -rc5-mm1 with that option off and it
> still didn't work. So, it must have been fixed in -mm1 itself I guess.

Good, I coulnd't find anything (but discovered that the statistic didn't
count out of replay window packets but failed authenticity checks).

Thanks for the information.